Loading...
Searching...
No Matches
lirc.client.StopRepeatCommand Class Reference
Python client bindings » Classes to receive keypresses » Classes to send commands » Internal parser FSM » Commands to control lircd

Stop repeating given key, see SEND_STOP in lircd(8) manpage. More...

Inheritance diagram for lirc.client.StopRepeatCommand:

## Public Member Functions

| __init__ (self, AbstractConnection connection, str remote, str key)
Public Member Functions inherited from lirc.client.Command
| __init__ (self, str cmd, AbstractConnection connection, float timeout=0.4)
| run (self, float timeout=None)
| Run the command and return a Reply.

## Additional Inherited Members

Protected Attributes inherited from lirc.client.Command
| _conn = connection
| _cmd_string = cmd
| _parser = ReplyParser()

## Detailed Description

Stop repeating given key, see SEND_STOP in lircd(8) manpage.

Definition at line 613 of file client.py.

## Constructor & Destructor Documentation

## __init__()

lirc.client.StopRepeatCommand.__init__ | ( |  | self,
|  | AbstractConnection | connection,
|  | str | remote,
|  | str | key )

Definition at line 615 of file client.py.

The documentation for this class was generated from the following file:

- client.py